import './assets/main.css'

import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'
import { Button,Toast,Loading,Field,RadioGroup,Radio,Icon,Col, 
    Row,Step, Steps,Empty,Calendar,Cell, CellGroup,Picker,Popup,
    Overlay,Uploader ,Image as VanImage,Dialog   } from 'vant';
import LoadingD from '@/components/Loading.vue'

import 'vant/lib/index.css';
const app = createApp(App)

app.use(createPinia())
app.use(router)

app.component('LoadingD', LoadingD)

app.use(Button)
app.use(Toast)
app.use(Loading);
app.use(Field);
app.use(Radio);
app.use(RadioGroup);
app.use(Icon);
app.use(Col);
app.use(Row);
app.use(Step);
app.use(Steps);
app.use(Empty);
app.use(Calendar);
app.use(Cell);
app.use(CellGroup);
app.use(Picker);
app.use(Popup);
app.use(Overlay);
app.use(Uploader);
app.use(VanImage);
app.use(Dialog);

app.mount('#app')
